Skip to main content
PATCH
Update affiliate program

Authorizations

Authorization
string
header
required

API token from the Zenedu dashboard

Path Parameters

bot
integer
required

Bot ID

Body

application/json
title
string
Maximum string length: 255
active
boolean
description
string
reward_type
enum<string>
Available options:
percent,
fixed
reward_amount
number

Reward amount (percent value, or fixed amount in the account currency)

Required range: x >= 0.01
offer_ids
integer[] | null

Offer IDs the program applies to

conversion_window
integer | null

Attribution window in days

Required range: x >= 0
min_payout
number | null

Minimum payout amount

Required range: x >= 0
duration_type
enum<string> | null
Available options:
months,
years
duration_amount
integer | null
Required range: x >= 1

Response

Affiliate program updated

data
object